## gr-fosphor 3.8~2.2d4fe78

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
include(GNUInstallDirs)
project(gr-fosphor CXX C)
enable_testing()

#policy setup
cmake_policy(SET CMP0011 NEW)


#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

########################################################################
# GNURadio setup
########################################################################
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Find GNURadio
find_package(Gnuradio "3.8" REQUIRED runtime fft)

# Set the version information here
set(VERSION_MAJOR 3)
set(VERSION_API   8)
set(VERSION_ABI   0)
set(VERSION_PATCH git)
include(GrVersion) #setup version info

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
    #false positives
    add_definitions(-Wno-format-overflow)
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_STANDARD 11)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_STANDARD 11)
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    set(CMAKE_CXX_STANDARD 11)
else()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/gnuradio)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# Find boost
########################################################################
find_package(Boost "1.65" COMPONENTS system chrono thread)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile gr-fosphor")
endif()

########################################################################
# Find gr-fosphor build dependencies
########################################################################

# Required
set(OpenGL_GL_PREFERENCE "GLVND")
find_package(OpenGL)
if(NOT OPENGL_FOUND)
	message(FATAL_ERROR "OpenGL required to compile gr-fosphor")
endif()

find_package(OpenCL)
if(NOT OpenCL_FOUND)
	message(FATAL_ERROR "OpenCL required to compile gr-fosphor")
endif()

find_package(Freetype)
if(NOT FREETYPE_FOUND)
	message(FATAL_ERROR "freetype2 required to compile gr-fosphor")
endif()

# Optional
find_package(GLFW3)

set(Qt5_REQUIRED_COMPONENTS Core Gui OpenGL)
find_package(Qt5 5.9.0 COMPONENTS ${Qt5_REQUIRED_COMPONENTS})
if (Qt5_FOUND)
       foreach(module ${Qt5_REQUIRED_COMPONENTS})
               list(APPEND Qt5_INCLUDE_DIRS ${Qt5${module}_INCLUDE_DIRS})
               list(APPEND Qt5_LIBRARIES ${Qt5${module}_LIBRARIES})
       endforeach(module)
endif (Qt5_FOUND)

########################################################################
# Find gnuradio build dependencies
########################################################################

find_package(Doxygen)
find_package(PythonLibs 3)
find_package(SWIG)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup the components
########################################################################

include(GrComponent)

GR_REGISTER_COMPONENT("Python" ENABLE_PYTHON
    PYTHONLIBS_FOUND SWIG_FOUND
)

GR_REGISTER_COMPONENT("GLFW" ENABLE_GLFW
    GLFW3_FOUND
)

GR_REGISTER_COMPONENT("QT" ENABLE_QT
    Qt5_FOUND
)

macro(list_cond_append cond list_name)
    if(${cond})
        list(APPEND ${list_name} ${ARGN})
    endif(${cond})
endmacro(list_cond_append)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/fosphor)
add_subdirectory(lib)

if(ENABLE_PYTHON)
    add_subdirectory(swig)
    add_subdirectory(python)
    add_subdirectory(grc)
    add_subdirectory(apps)
endif(ENABLE_PYTHON)

add_subdirectory(docs)

########################################################################
# Print Summary
########################################################################
GR_PRINT_COMPONENT_SUMMARY()
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    DESTINATION bin
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

list_cond_append(ENABLE_GLFW fosphor_grc fosphor_glfw_sink_c.block.yml)
list_cond_append(ENABLE_QT   fosphor_grc fosphor_qt_sink_c.block.yml)

install(FILES
    fosphor.tree.yml ${fosphor_grc}
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

find_package(PythonInterp 3)

add_custom_command(
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fosphor
  OUTPUT fosphor/resource_data.c
  DEPENDS fosphor/fft.cl fosphor/display.cl fosphor/cmap_simple.glsl fosphor/cmap_bicubic.glsl fosphor/cmap_fallback.glsl fosphor/DroidSansMonoDotted.ttf
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/llist.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/resource_internal.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${PYTHON_EXECUTABLE} -B mkresources.py fft.cl display.cl cmap_simple.glsl cmap_bicubic.glsl cmap_fallback.glsl DroidSansMonoDotted.ttf > ${CMAKE_CURRENT_BINARY_DIR}/fosphor/resource_data.c
)

list(APPEND fosphor_sources
	fosphor/axis.c
	fosphor/cl.c
	fosphor/cl_compat.c
	fosphor/fosphor.c
	fosphor/gl.c
	fosphor/gl_cmap.c
	fosphor/gl_cmap_gen.c
	fosphor/gl_font.c
	fosphor/resource.c
	fosphor/resource_data.c
	fifo.cc
	base_sink_c_impl.cc
)

list_cond_append(ENABLE_GLFW fosphor_sources glfw_sink_c_impl.cc)
list_cond_append(ENABLE_QT   fosphor_sources QGLSurface.cc qt_sink_c_impl.cc)

add_library(gnuradio-fosphor SHARED ${fosphor_sources})

target_include_directories(gnuradio-fosphor
	PUBLIC ${OPENGL_INCLUDE_DIRS}
	PUBLIC ${OpenCL_INCLUDE_DIRS}
	PUBLIC ${FREETYPE_INCLUDE_DIRS}
	PUBLIC ${Boost_INCLUDE_DIR}
	PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
	PUBLIC $<INSTALL_INTERFACE:include>
)
target_link_libraries(gnuradio-fosphor
	${OPENGL_LIBRARIES}
	${OpenCL_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${Boost_LIBRARIES}
	gnuradio::gnuradio-runtime
	gnuradio::gnuradio-fft
	${CMAKE_DL_LIBS}
)

if(WIN32)
   find_package(GLEW REQUIRED)
   target_include_directories(gnuradio-fosphor PRIVATE ${GLEW_INCLUDE_DIRS})
   target_link_libraries(gnuradio-fosphor ${GLEW_LIBRARIES})
   add_definitions(-DENABLE_GLEW)
endif(WIN32)

if(ENABLE_PYTHON)
    add_definitions(-DENABLE_PYTHON)
    target_include_directories(gnuradio-fosphor PUBLIC ${PYTHON_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${PYTHON_LIBRARY})
endif(ENABLE_PYTHON)

if(ENABLE_GLFW)
    target_include_directories(gnuradio-fosphor PUBLIC ${GLFW3_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${GLFW3_LIBRARIES})
endif(ENABLE_GLFW)

if(ENABLE_QT)
    set_target_properties(gnuradio-fosphor PROPERTIES AUTOMOC ON)
    target_include_directories(gnuradio-fosphor PUBLIC ${Qt5_INCLUDE_DIRS})
    target_link_libraries(gnuradio-fosphor ${Qt5_LIBRARIES})
endif(ENABLE_QT)

set_target_properties(gnuradio-fosphor PROPERTIES DEFINE_SYMBOL "gnuradio_fosphor_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-fosphor PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-fosphor)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
list(APPEND fosphor_python
    __init__.py
)

GR_PYTHON_INSTALL(
    FILES
    ${fosphor_python}
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-fosphor)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 3)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)

set(GR_SWIG_LIBRARIES gnuradio-fosphor)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/fosphor_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include/gnuradio/fosphor)

list_cond_append(ENABLE_GLFW GR_SWIG_FLAGS -DENABLE_GLFW)
list_cond_append(ENABLE_QT   GR_SWIG_FLAGS -DENABLE_QT)

GR_SWIG_MAKE(fosphor_swig fosphor_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS fosphor_swig DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    fosphor_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/fosphor_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio/swig
)

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the gr-fosphor framework
# This file is a part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR})

=== lib/fosphor/Makefile ===
UNAME=$(shell uname)
CC=gcc
CFLAGS=-Wall -Werror -O2 `pkg-config freetype2 glfw3 --cflags` -g
LDLIBS=`pkg-config freetype2 glfw3 --libs` -lm
ifneq ($(AMDAPPSDKROOT), )
CFLAGS+=-I$(AMDAPPSDKROOT)/include
endif
ifeq ($(UNAME), Linux)
LDLIBS+=-lOpenCL -lGL -ldl
endif
ifeq ($(UNAME), Darwin)
LDLIBS+=-framework OpenCL -framework OpenGL -framework Cocoa -framework IOKit
endif
LDFLAGS=-g

RESOURCE_FILES=fft.cl display.cl cmap_simple.glsl cmap_bicubic.glsl cmap_fallback.glsl DroidSansMonoDotted.ttf

all: main

resource_data.c: $(RESOURCE_FILES) mkresources.py
	./mkresources.py $(RESOURCE_FILES) > resource_data.c

main: resource.o resource_data.o axis.o cl.o cl_compat.o fosphor.o gl.o gl_cmap.o gl_cmap_gen.o gl_font.o main.o

clean:
	rm -f main *.o resource_data.c

=== include/gnuradio/fosphor/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of gr-fosphor
#
# gr-fosphor is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# gr-fosphor is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with gr-fosphor; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
list(APPEND fosphor_headers
    api.h
    base_sink_c.h
)

list_cond_append(ENABLE_GLFW fosphor_headers glfw_sink_c.h)
list_cond_append(ENABLE_QT   fosphor_headers qt_sink_c.h)

install(FILES
    ${fosphor_headers}
    DESTINATION include/gnuradio/fosphor
)

=== debian/changelog ===
gr-fosphor (3.8~2.2d4fe78-1) unstable; urgency=medium

  * New upstream, including fixes (Closes: #948247)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Jan 2020 19:38:19 -0500

gr-fosphor (3.8~1.278b66e-3) unstable; urgency=medium

  * remove unnecessary python 2 dependency (Closes: #936657)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Nov 2019 21:03:51 -0500

gr-fosphor (3.8~1.278b66e-2) unstable; urgency=medium

  * ported to Qt5 and Python3 (Closes: #914306) (LP: #1757652)
  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:26:32 -0400

gr-fosphor (3.8~1.278b66e-1) experimental; urgency=medium

  * New upstream gnuradio 3.8 port

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Aug 2019 14:19:25 -0400

gr-fosphor (3.7.0.2.7b6b996-3) unstable; urgency=medium

  * build without Qt4 (Closes: #874899)
  * build with gnuradio 3.7.12.0
  * Migrate VCS to salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Apr 2018 18:45:09 -0400

=== debian/control ===
Source: gr-fosphor
Section: libdevel
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
	       dh-python,
               doxygen,
               gnuradio-dev (>=3.8),
	       graphviz,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglfw3-dev,
	       libgmp-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
	       libqt5opengl5-dev,
               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
	       opencl-headers,
               pkg-config,
	       python3-dev,
	       python3-six,
	       qt5-qmake,
	       qtbase5-dev,
	       qttools5-dev,
               swig (>=3)
Standards-Version: 4.4.0
Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git

Package: gr-fosphor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends}, gnuradio-dev,
         libgnuradio-fosphor3.8.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio fosphor block (GPU spectrum display)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 To use the fosphor blocks in Python, import it as :
 .
 from gnuradio import fosphor
 .
 See the Doxygen documentation for details about the blocks available
 in this package. A quick listing of the details can be found in Python
 after importing by using:
 .
 help(fosphor)

Package: libgnuradio-fosphor3.8.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fosphor
Description: gnuradio fosphor block (GPU spectrum display) (library)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyc
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/gnuradio/fosphor/*pyo

## gr-fosphor 3.9~0.974ab2f

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,21 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2020 Free Software Foundation, Inc.
+# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
 #
 # This file is part of gr-fosphor
 #
-# gr-fosphor is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
-#
-# gr-fosphor is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with gr-fosphor; see the file COPYING.  If not, write to
-# the Free Software Foundation, Inc., 51 Franklin Street,
-# Boston, MA 02110-1301, USA.
-
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 ########################################################################
 # Project setup
 ########################################################################
 cmake_minimum_required(VERSION 3.8)
+project(gr-fosphor CXX C)
 include(GNUInstallDirs)
-project(gr-fosphor CXX C)
 enable_testing()
 
 #policy setup
 cmake_policy(SET CMP0011 NEW)
+cmake_policy(SET CMP0071 NEW)
 
 
 #select the release build type by default to get optimization flags
@@ -43,11 +31,11 @@
 list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)
 
 # Find GNURadio
-find_package(Gnuradio "3.8" REQUIRED runtime fft)
+find_package(Gnuradio "3.9" REQUIRED runtime fft)
 
 # Set the version information here
 set(VERSION_MAJOR 3)
-set(VERSION_API   8)
+set(VERSION_API   9)
 set(VERSION_ABI   0)
 set(VERSION_PATCH git)
 include(GrVersion) #setup version info
@@ -65,13 +53,23 @@
 endif()
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
 else()
     message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
+endif()
+
+if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
+    set(CMAKE_C_STANDARD 11)
+elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
+    set(CMAKE_C_STANDARD 11)
+elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+    set(CMAKE_C_STANDARD 11)
+else()
+    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
 endif()
 
 ########################################################################
@@ -138,7 +136,19 @@
 
 find_package(Doxygen)
 find_package(PythonLibs 3)
-find_package(SWIG)
+
+########################################################################
+# PyBind11 Related
+########################################################################
+
+find_package(pybind11 REQUIRED)
+
+if (pybind11_FOUND)
+    execute_process(
+        COMMAND "${PYTHON_EXECUTABLE}" -c
+        "try:\n import numpy\n import os\n inc_path = numpy.get_include()\n if os.path.exists(os.path.join(inc_path, 'numpy', 'arrayobject.h')):\n  print(inc_path, end='')\nexcept:\n pass"
+        OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR)
+endif (pybind11_FOUND)
 
 ########################################################################
 # Setup doxygen option
@@ -156,7 +166,7 @@
 include(GrComponent)
 
 GR_REGISTER_COMPONENT("Python" ENABLE_PYTHON
-    PYTHONLIBS_FOUND SWIG_FOUND
+    PYTHONLIBS_FOUND pybind11_FOUND
 )
 
 GR_REGISTER_COMPONENT("GLFW" ENABLE_GLFW
@@ -192,7 +202,6 @@
 add_subdirectory(lib)
 
 if(ENABLE_PYTHON)
-    add_subdirectory(swig)
     add_subdirectory(python)
     add_subdirectory(grc)
     add_subdirectory(apps)

=== apps/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    DESTINATION bin
)

=== grc/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

list_cond_append(ENABLE_GLFW fosphor_grc fosphor_glfw_sink_c.block.yml)
list_cond_append(ENABLE_QT   fosphor_grc fosphor_qt_sink_c.block.yml)

install(FILES
    fosphor.tree.yml ${fosphor_grc}
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,9 @@
-# Copyright 2011,2012 Free Software Foundation, Inc.
+# Copyright 2011-2020 Free Software Foundation, Inc.
+# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
 #
 # This file is part of gr-fosphor
 #
-# gr-fosphor is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
-#
-# gr-fosphor is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with gr-fosphor; see the file COPYING.  If not, write to
-# the Free Software Foundation, Inc., 51 Franklin Street,
-# Boston, MA 02110-1301, USA.
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 ########################################################################
 # Setup library

=== python/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

add_subdirectory(bindings)

########################################################################
# Install python sources
########################################################################
list(APPEND fosphor_python
    __init__.py
)

GR_PYTHON_INSTALL(
    FILES
    ${fosphor_python}
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-fosphor)

=== python/bindings/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Check for pygccxml
########################################################################
GR_PYTHON_CHECK_MODULE_RAW(
    "pygccxml"
    "import pygccxml"
    PYGCCXML_FOUND
    )

# Official module is broken, makes too many assumptions that are not true
#include(GrPybind)

include(GrPython)

macro(GR_PYBIND_MAKE name updir filter files)

configure_file(${CMAKE_SOURCE_DIR}/docs/doxygen/pydoc_macros.h ${CMAKE_CURRENT_BINARY_DIR} COPYONLY)

pybind11_add_module(${name}_python ${files})

SET(MODULE_NAME ${name})
if (${name} STREQUAL gr)
    SET(MODULE_NAME "runtime")
endif()

target_include_directories(${name}_python PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PYTHON_NUMPY_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/${updir}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/${updir}/include
    ${PYBIND11_INCLUDE_DIR}
)
target_link_libraries(${name}_python PUBLIC ${Boost_LIBRARIES} ${PYTHON_LIBRARIES} gnuradio-${MODULE_NAME})
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
   CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${name}_python PRIVATE -Wno-unused-variable) # disable warnings for docstring templates
endif(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
      CMAKE_CXX_COMPILER_ID STREQUAL "GNU")

endmacro(GR_PYBIND_MAKE)



########################################################################
# Python Bindings
########################################################################

list(APPEND fosphor_python_files
    base_sink_c_python.cc
    glfw_sink_c_python.cc
    qt_sink_c_python.cc
    python_bindings.cc)

GR_PYBIND_MAKE(fosphor
   ../..
   gr::fosphor
   "${fosphor_python_files}")

install(TARGETS fosphor_python DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor COMPONENT pythonapi)

=== include/gnuradio/fosphor/CMakeLists.txt ===
# Copyright 2011-2020 Free Software Foundation, Inc.
# Copyright 2013-2021 Sylvain Munaut <tnt@246tNt.com>
#
# This file is part of gr-fosphor
#
# SPDX-License-Identifier: GPL-3.0-or-later

########################################################################
# Install public header files
########################################################################
list(APPEND fosphor_headers
    api.h
    base_sink_c.h
)

list_cond_append(ENABLE_GLFW fosphor_headers glfw_sink_c.h)
list_cond_append(ENABLE_QT   fosphor_headers qt_sink_c.h)

install(FILES
    ${fosphor_headers}
    DESTINATION include/gnuradio/fosphor
)

=== debian/changelog ===
gr-fosphor (3.9~0.974ab2f-1build8) mantic; urgency=medium

  * Rebuild against new gnuradio 3.10.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 11:25:27 +0200

gr-fosphor (3.9~0.974ab2f-1build7) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:37:10 +0000

gr-fosphor (3.9~0.974ab2f-1build6) lunar; urgency=medium

  * No-change rebuild with gnuradio 3.10.4

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 18 Nov 2022 14:19:53 -0300

gr-fosphor (3.9~0.974ab2f-1build5) kinetic; urgency=medium

  * No-change rebuild against libspdlog1.10-fmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Aug 2022 20:50:45 +0000

gr-fosphor (3.9~0.974ab2f-1build4) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2022 17:53:46 +0000

gr-fosphor (3.9~0.974ab2f-1build3) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 01:04:07 +0000

gr-fosphor (3.9~0.974ab2f-1build2) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:57:53 +0000

gr-fosphor (3.9~0.974ab2f-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:42:32 +0000

gr-fosphor (3.9~0.974ab2f-1) unstable; urgency=medium

  * New upstream, build with gnuradio 3.9
  * new library file name due to soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Dec 2021 23:56:50 -0500

gr-fosphor (3.8~2.2d4fe78-2) unstable; urgency=medium

  * build with gnuradio 3.8.2.0-7

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Oct 2020 10:31:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gr-fosphor
 Section: libdevel
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 12~),
+               debhelper (>= 13),
 	       dh-python,
                doxygen,
-               gnuradio-dev (>=3.8),
+               gnuradio-dev (>=3.9),
 	       graphviz,
                libboost-regex-dev,
                libboost-system-dev,
@@ -16,18 +17,17 @@
                libglfw3-dev,
 	       libgmp-dev,
                liblog4cpp5-dev,
-	       liborc-0.4-dev,
 	       libqt5opengl5-dev,
                ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
 	       opencl-headers,
                pkg-config,
 	       python3-dev,
+	       python3-numpy,
 	       python3-six,
 	       qt5-qmake,
 	       qtbase5-dev,
-	       qttools5-dev,
-               swig (>=3)
-Standards-Version: 4.4.0
+	       qttools5-dev
+Standards-Version: 4.6.0
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git
@@ -36,7 +36,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends}, gnuradio-dev,
-         libgnuradio-fosphor3.8.0  (=${binary:Version}),
+         libgnuradio-fosphor3.9.0  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: gnuradio fosphor block (GPU spectrum display)
@@ -54,7 +54,7 @@
  .
  help(fosphor)
 
-Package: libgnuradio-fosphor3.8.0
+Package: libgnuradio-fosphor3.9.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

## gr-fosphor 3.9~git20230826.e02a2ea

=== debian/changelog ===
gr-fosphor (3.9~git20230826.e02a2ea-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:18:32 +0000

gr-fosphor (3.9~git20230826.e02a2ea-1build2) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 06:08:28 +0100

gr-fosphor (3.9~git20230826.e02a2ea-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:31:36 +0000

gr-fosphor (3.9~git20230826.e02a2ea-1) unstable; urgency=medium

  * New upstream commits
    - fosphor/cl: Fix init type in cl_queue_clear_buffers
    - fosphor/axis: Fix warning in printf about possible buffer overrun
    - fosphor/gl_cmap_gen: Introduce a new 'prog' colormap
    This color map was originally given to me by 'prog', the sdr# author,
        then I tweaked it a bit.
    Note that there is currently no way to select it other than changing
        the code.
    - fosphor/gl_cmap_gen: Add new function to generate GL colormap from a PNG
    - gr-fosphor: Add the overlap block
    This will probably be integrated as part of fosphor itself. But until
    it is, then this block is useful to overlap several FFT windows.
  * remove unnecessary python3-six dependency (Closes: #1064569)
  * also update obsolete package dependencies:
     libfreetype6-dev => libfreetype-dev
     libgl1-mesa-dev => libgl-dev
     pkg-config => pkgconf

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 10:10:10 -0500

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,21 @@
                libboost-regex-dev,
                libboost-system-dev,
                libboost-thread-dev,
-               libfreetype6-dev,
-               libgl1-mesa-dev,
+               libfreetype-dev,
+               libgl-dev,
                libglfw3-dev,
 	       libgmp-dev,
                liblog4cpp5-dev,
 	       libqt5opengl5-dev,
-               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
+               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev [amd64],
 	       opencl-headers,
-               pkg-config,
+               pkgconf,
 	       python3-dev,
 	       python3-numpy,
-	       python3-six,
 	       qt5-qmake,
 	       qtbase5-dev,
 	       qttools5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-fosphor
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-fosphor.git
@@ -55,6 +54,7 @@
  help(fosphor)
 
 Package: libgnuradio-fosphor3.9.0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=3.9~git%cd.%h" \
 https://gitea.osmocom.org/sdr/gr-fosphor.git \
 HEAD debian uupdate
